#plane of water treasure 1
from eventAPI import *
from APIUtils import *

rtpowaterchest1 = 0

def fireEvent(e):
   global rtpowaterchest1
   rtpowaterchest1 = getTag(e, "rtpowaterchest1")
   if (rtpowaterchest1 == 1):
      return 1
   else:
      showMessage(e, ["You stumble over a wooden chest half-burried in the sand.", "", "It's a bit waterlogged, but still intact."])
      chest(e, -1, 0, 0, ["Staff of Elemental Shielding"], dice(1, 4, 1), "Treasure")
      rtpowaterchest1 = 1
      setTag(e, "rtpowaterchest1", rtpowaterchest1)
   return 1